import {
  geoNaturalEarth1,
  geoPath,
  geoGraticule,
} from 'd3';

const projection = geoNaturalEarth1();
const path = geoPath(projection);
const graticule = geoGraticule();

const missingDataColour = 'grey';

export const Marks = ({
  worldAtlas: { countries, interiors },
  rowByNumericCode,
  colourScale,
  colourValue,
}) => (
  <g className="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path className="graticules" d={path(graticule())} />
    {countries.features.map(feature => {
      const d = rowByNumericCode.get(feature.id);
   //   console.log(d);
      return <path fill={d ? colourScale(colourValue(d)) : missingDataColour} d={path(feature)} />;
    })}
    <path className="interiors" d={path(interiors)} />
  </g>
);
